Gorgias
Version
This integration utilizes the Gorgias API.
Base URL
The base URL used for all Gorgias API endpoints contains the Subdomain:https://SUBDOMAIN.gorgias.com/api/
Authentication & Authorization
The DataGrail Gorgias integration connects using API key authentication which requires an API key.
Limits
Limits in Gorgias are calculated using the leaky
bucket algorithm. All requests that are made after rate limits have been
exceeded are throttled and an HTTP 429 Too Many Requests error is returned.
Requests succeed again after enough requests have emptied out of the bucket.
- DataGrail supports requests throttling to stay within 70-80% of specified service rate limits.
- DataGrail processes API responses with HTTP 429 status to interrupt requests, waiting and retrying (using an exponential backoff strategy).
Capabilities
Access
DataGrail's Gorgias integration provides Synchronous Access capabilities for the following supported identifier category: Email.Data Interactions
For Access requests, DataGrail will take the following actions:
- Search customers by the Data Subject email.
- Fetch details for all found customers.
- Search tickets for all found customers.
- Fetch details of all found tickets.
Endpoints Utilized
| Method | Endpoint | Purpose | Docs |
|---|---|---|---|
| GET | /customers | List customers | |
| GET | /customers/customer_id | Retrieve a customer | |
| GET | /tickets | List tickets | |
| GET | /tickets/ticket_id | Retrieve a ticket |
Deletion
DataGrail's Gorgias integration provides Synchronous (Whole Record) Deletion capabilities for the following supported identifier category: Email.Data Interactions
For Deletion requests, DataGrail will take the following actions:
- Search customers by the Data Subject email.
- Search tickets for all found customers.
- Delete all found tickets.
- Delete all found customers.
Endpoints Utilized
| Method | Endpoint | Purpose | Docs |
|---|---|---|---|
| GET | /customers | List customers | |
| DEL | /customers/customer_id | Delete customers | |
| GET | /tickets | List tickets | |
| DEL | /tickets/ticket_id | Delete a ticket |
System Detection
DataGrail provides continuous system detection, delivering a real-time inventory of your data assets.Data Interactions
DataGrail's System Detection process runs once daily and performs the following actions:
- List integrations.
- Collect integrations map using the response fields:
name,created_datetime, andtype. - For each of the collected integration, try to define the owner – fetch user email by user ID.
Endpoints Utilized
Disclaimer: The information contained in this message does not constitute as legal advice. We would advise seeking professional counsel before acting on or interpreting any material.